curl --request GET \ --url 'https://api.e2enetworks.com/myaccount/api/v1/cdpbackup/{node_id}/usage/?project_id=<PROJECT_ID>&apikey=<API_KEY>&location=<LOCATION>' \ --header 'Authorization: Bearer <API_TOKEN>'import requests
response = requests.get( "https://api.e2enetworks.com/myaccount/api/v1/cdpbackup/{node_id}/usage/", params={"project_id": "<PROJECT_ID>", "apikey": "<API_KEY>", "location": "<LOCATION>"}, headers={"Authorization": "Bearer <API_TOKEN>"},)print(response.json())const url = new URL("https://api.e2enetworks.com/myaccount/api/v1/cdpbackup/{node_id}/usage/");url.search = new URLSearchParams({ project_id: "<PROJECT_ID>", apikey: "<API_KEY>", location: "<LOCATION>" });
const response = await fetch(url, { method: "GET", headers: { "Authorization": "Bearer <API_TOKEN>" },});console.log(await response.json());Returns a node’s CDP Backup storage usage, the figure billed at ₹2.5 or $0.03 per GB of backup storage per month, on top of the flat ₹900/$10 per month license fee.
Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”Path parameter node_id.
Query Parameters
Section titled “Query Parameters”Identifier of the project to scope the request to. Required integer project ID.
Example
<PROJECT_ID>API key used to authenticate the request
Example
<API_KEY>Location filter for the usage query
Example
<LOCATION>Responses
Section titled “Responses”Successful response
object
HTTP status code of the usage response
object
Indicates the result status of the usage request
Human-readable error message describing a usage request failure
Indicates whether database backups are enabled.
object
Frequency type of the usage data
object
The minute of the hour when the frequency period starts.
Time zone of the usage frequency
object
Maximum number of days data is retained locally
Maximum number of hourly retention points allowed
Maximum number of weeks allowed for local retention points
Maximum number of local retention points allowed per month.
Annual retention points limit.
Timestamp of the next scheduled run
Timestamp of the last run in human-readable format
Size of the usage data as a human-readable string
Path of a file or folder to be excluded from usage calculations
Specifies the compression algorithm applied to the response data.
Indicates the level of compression applied to the usage data.
Indicates whether encryption was applied to the usage data
object
Indicates whether the last task completed successfully
Human-readable status message for the last task
Date when the last task failed
Indicates whether the usage plan is a window plan.
object
Identifier of the active plan
Name of the active usage plan
Number of hours between each usage reporting interval
Indicates whether the archived policy is currently active.
object
Status message indicating the result of the request
Example
{ "code": 200, "data": { "status": "ERROR", "error_message": "", "database_backup_enabled": false, "frequency": { "type": "HOURLY", "value": { "hoursOfDay": [ 0 ], "startingMinute": 38 }, "timezone": "UTC" }, "local_retention_points": { "daily_limit": 14, "hourly_limit": 12, "weekly_limit": 4, "monthly_limit": 2, "yearly_limit": 0 }, "next_run_time": "21 July, 2025 18:38", "last_run_time": "21 July, 2025 14:19", "size": "6525.0 Bytes", "exclude_file_folder": "", "compression_type": "ZLIB", "compression_level": "LOW", "is_encryption_applied": false, "last_task_status": { "task_status": false, "message": "Connecting to agent failed", "failed_date": "" }, "is_window_plan": false, "active_plan_details": { "plan_id": 1, "plan_name": "Regular Plan", "hourly_interval": 6 }, "is_archived_policy_active": false }, "message": "Success"}